Summary: ksnuffle
Name: ksnuffle
Version: 0.3
Release: 4
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://195.92.31.34/pub/ksnuffle-0.3/ksnuffle-0.3.tgz
BuildRoot: /var/tmp/ksnuffle-root
Requires: libpcap >= 0.4

%description
Ksnuffle is a network packet sniffer for KDE. This version was
built with KDE 1.1.2 and QT 1.44.

%prep
%setup
rm -f config.cache
if [ $RPM_ARCH="alpha" ]; then
./configure --with-qt-dir=/usr/lib/qt-1.45/  --prefix=/usr --with-kde-dir=/usr --host=alpha-linux-gnu
else
./configure --with-qt-dir=/usr/lib/qt-1.45/  --prefix=/usr --with-kde-dir=/usr
fi

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/{applnk/Internet,apps/ksnuffle/toolbar,icons/mini},doc/kde/HTML/en/ksnuffle}
install -c -m 755 ksnuffle/ksnuffle $RPM_BUILD_ROOT/usr/bin/
install -c -m 755 remote/rsnuffle $RPM_BUILD_ROOT/usr/bin/
install -c -m 644 ksnuffle/ksnuffle.kdelnk $RPM_BUILD_ROOT/usr/share/applnk/Internet/ksnuffle.kdelnk
#install -c -m 755 libpcap-0.4/libpcap.a $RPM_BUILD_ROOT/usr/lib/libpcap.a
install -c -m 644 ksnuffle/toolbar/*.xpm $RPM_BUILD_ROOT/usr/share/apps/ksnuffle/toolbar/
install -c -m 644 ksnuffle/mini-ksnuffle.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/ksnuffle.xpm
cd ksnuffle/docs/en
install -c -m 644 *.html *.xpm *.png *.jpg $RPM_BUILD_ROOT/usr/doc/kde/HTML/en/ksnuffle/
cd ../../..

strip $RPM_BUILD_ROOT/usr/bin/* || :

%files
%defattr(-,root,root)
/usr/bin/ksnuffle
/usr/bin/rsnuffle
/usr/share/applnk/Internet/ksnuffle.kdelnk
#/usr/lib/libpcap.a
/usr/share/apps/ksnuffle/
/usr/share/icons/mini/ksnuffle.xpm
/usr/doc/kde/HTML/en/ksnuffle/

%changelog
* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Fri Jan 28 2000 Tim Powers <timp@redhat.com>
- started changelog, changed group, added defattr line to files section.
